<div class="container">
  <h3 class="kd-report-title">{{ report.week | date }}</h3>
  <p *ngIf="displayUser">Created by: {{ report.user.firstname }} {{ report.user.lastname }}</p>
  <mat-divider></mat-divider>
  <p class="kd-report-text">{{ report.report }}</p>
  <!-- <mat-divider></mat-divider> -->
  <div class="kd-report-buttons">
    <mat-icon *ngIf="!inArchive"
              class="kd-edit kd-inline"
              (click)="onEditReport()">
              create
    </mat-icon>
    <mat-icon *ngIf="inArchive; else notInArchive"
              class="kd-unarchive kd-inline"
              (click)="onUnarchiveReport()">
              unarchive
    </mat-icon>
    <ng-template #notInArchive>
      <mat-icon class="kd-archive-danger kd-inline"
                (click)="onArchiveReport()">
                archive
      </mat-icon>
    </ng-template>
    <mat-icon *ngIf="inArchive && !isUserArchive"
              class="kd-remove-danger kd-inline"
              (click)="onRemoveReport()">
              clear
    </mat-icon>
  </div>

</div>
